Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.axion
Class AxionModelReader

    java.lang.Object
      org.apache.ddlutils.platform.JdbcModelReader
          org.apache.ddlutils.platform.axion.AxionModelReader

    public class AxionModelReader

extends JdbcModelReader

Reads a database model from an Axion database.

Version:
  $Revision: $

Constructor Summary
`AxionModelReader(Platform platform)` Creates a new model reader for Axion databases.

Method Summary
`protected Collection` | `readForeignKeys(DatabaseMetaDataWrapper metaData, String tableName)` Retrieves the foreign keys of the indicated table.
`protected Collection` | `readPrimaryKeyNames(DatabaseMetaDataWrapper metaData, String tableName)` Retrieves the names of the columns that make up the primary key for a given table.
`protected void` | `removeSystemIndices(DatabaseMetaDataWrapper metaData, Table table)` Removes system indices (generated by the database for primary and foreign keys) from the table.

Methods inherited from class org.apache.ddlutils.platform.JdbcModelReader
`determineAutoIncrementFromResultSetMetaData, determineSchemaOf, getColumnsForColumn, getColumnsForFK, getColumnsForIndex, getColumnsForPK, getColumnsForTable, getConnection, getDatabase, getDatabase, getDefaultCatalogPattern, getDefaultColumnPattern, getDefaultSchemaPattern, getDefaultTablePattern, getDefaultTableTypes, getPlatform, getPlatformInfo, initColumnsForColumn, initColumnsForFK, initColumnsForIndex, initColumnsForPK, initColumnsForTable, isInternalForeignKeyIndex, isInternalPrimaryKeyIndex, matches, readColumn, readColumns, readColumns, readForeignKey, readIndex, readIndices, readPrimaryKeyName, readTable, readTables, removeInternalForeignKeyIndex, removeInternalPrimaryKeyIndex, setDefaultCatalogPattern, setDefaultColumnPattern, setDefaultSchemaPattern, setDefaultTablePattern, setDefaultTableTypes, sortForeignKeys, unescape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxionModelReader

    public AxionModelReader(Platform platform)

  Creates a new model reader for Axion databases.

  Parameters:
    `platform` - The platform that this model reader belongs to

Method Detail

### readPrimaryKeyNames

    protected Collection readPrimaryKeyNames(DatabaseMetaDataWrapper metaData,
                                             String tableName)
                                      throws SQLException

  Retrieves the names of the columns that make up the primary key for a given table.

  Overrides:
    `readPrimaryKeyNames` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `tableName` - The name of the table from which to retrieve PK information
  Returns:
    The primary key column names
  Throws:
    `SQLException`

### readForeignKeys

    protected Collection readForeignKeys(DatabaseMetaDataWrapper metaData,
                                         String tableName)
                                  throws SQLException

  Retrieves the foreign keys of the indicated table.

  Overrides:
    `readForeignKeys` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `tableName` - The name of the table from which to retrieve FK information
  Returns:
    The foreign keys
  Throws:
    `SQLException`

### removeSystemIndices

    protected void removeSystemIndices(DatabaseMetaDataWrapper metaData,
                                       Table table)
                                throws SQLException

  Removes system indices (generated by the database for primary and foreign keys) from the table.

  Overrides:
    `removeSystemIndices` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `table` - The table
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.